VCGDEMOMAKER(1l)

NAME
vcgdemomaker - produces demo specifications for vcg

SYNOPSIS
vcgdemomaker outfile mode size

DESCRIPTION
Vcgdemomaker creates a vcg specification and writes it to outfile. The mode determines the kind of specification and size the size of the specified graph. The specification can be read and visualized by the VCG tool.

MODI

-unarytree
    generates an unary tree, i.e. a linear sequence of nodes. size is the number of nodes - 1, i.e. the depth of the tree.

-binarytree
    generates a binary tree of depth size. Each node has two successors.

-ternarytree
    generates a ternary tree of depth size. Each node has 3 successors.

-leveltree
    generates a leveled tree of depth size. Each node has 2 normal successors, and further a list of nodes as successors at the same level to the left and right. These lists contain at most 2 nodes, which itself are leveled trees. These trees are used to check the nearedge feature.

-twolevelcross
    generates a cross graph. This is a bipartitioned graph of connected parts of 4 nodes forming a cross. Size is the number of nodes and should be even. This graph is generated in an ugly format to check the algorithm of reducing of crossing in the VCG tool.

-allconnect
    generates a graph where all pairs of node form an edge. Size is the number of nodes. Note that if we have n nodes, we have about n*n/2 edges which is a lot. Thus it is recommended not to use this with more than 40 nodes.

-netgraph
    generates a regular 4-ary network of triangular shape with about size nodes. This mesh graph can be used to check the capacity of the tool, the view mechanism and the algorithm of reducing of crossing in the VCG tool.

-randomgraph
    generates a randomized 4-ary network. Starting from the regular 4-ary network of triangular shape with about size nodes, this network is produced by creating random holes. Thus, this graph has less than size nodes.

-net2graph
    generates a regular 4-ary network of rhomboid shape with about size nodes.

-random2graph
    generates a randomized 4-ary network. Starting from the regular 4-ary network of rhomboid shape with about size nodes, this network is produced by creating random holes. Thus, this graph has less than size nodes.

SEE ALSO
vcg(l)

BUGS
Currently, no bugs are known.

AUTHOR
Georg Sander, University of Saarland.